////////////////////////////////////////////////////////////////////////////////
///
///		Title		: Base UI Frame Window
///
///		Copyright (c) 2006, NHN Co., Ltd. ALL RIGHTS RESERVED
///
///		Team		: Desktop Service Development
///
////////////////////////////////////////////////////////////////////////////////
#pragma once

#include "RootWindow.h"

/**
* @ingroup 	Base UI	
* @brief 	
* @date		10/18/2006
* @author	telltale
* @remark	
*/
class NPCOMMONUI_API CBaseWindow : public CWindowImpl<CBaseWindow, CWindow, CControlWinTraits>, public CRootWindow
{
public:
	DECLARE_WND_CLASS_EX(_T("NAVERBASEWINDOW"), CS_HREDRAW | CS_VREDRAW | CS_DBLCLKS, 0)
	CBaseWindow(void);
	virtual ~CBaseWindow(void);

	/**
	* @brief 	create base window
	* @param	hWndParent	parent window handle
	* @return	If the function succeeds, return the TRUE
	*/
	BOOL	Create(HWND hWndParent);
	/**
	* @brief 	create base window
	* @param	hWndParent	parent window handle
	* @param	rc			window rect
	* @param	dwStyle		window style
	* @return	If the function succeeds, return the TRUE
	*/
	BOOL	Create(HWND hWndParent,CRect rc, DWORD dwStyle, DWORD dwExStyle=0);
	
protected:

BEGIN_MSG_MAP(CBaseWindow)
	CHAIN_MSG_MAP(CRootWindow)
END_MSG_MAP()
	
	void OnFinalMessage(HWND hWnd);
};
